<?php
namespace WHMCS\Module\Addon\svmnatdomain\Client;
class Controller {
    public function index($vars)
    {
		$userID = trim($_SESSION['uid']);
		$modulelink = $vars['modulelink'];
		$products = \WHMCS\Database\Capsule::table('tblhosting')->where('userid', $userID)->get();
		$product = array();
		foreach ($products as $key => $values) {
			$package = \WHMCS\Database\Capsule::table('tblproducts')->where('id', $values->packageid)->first();
			if ($values->domainstatus == 'Active') {
				$product[$key]['id'] = $values->id;
				$product[$key]['productname'] = $package->name;
				$product[$key]['dedicatedip'] = $values->dedicatedip;
			}
		}
        return array(
            'pagetitle' => '选择一个服务器进行管理...',
            'breadcrumb' => array(
                'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
            ),
            'templatefile' => 'index',
            'requirelogin' => true, 
            'vars' => array(
                'vhostmaxnum' => $vars['vhostmaxnum'],
				'modulelink' => $modulelink,
                'product' => $product
            ),
        );
    }

    public function manager($vars)
    {
		$userID = trim($_SESSION['uid']);
		$modulelink = $vars['modulelink'];
		if(empty($_REQUEST['serverip'])){
	    	return array(
                'pagetitle' => '页面错误',
                'breadcrumb' => array(
                    'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
                ),
                'templatefile' => 'error',
                'requirelogin' => true, 
                'vars' => array(
				    'jumpurl' => 'index.php?m=svmnatdomain',
                    'usefulErrorHelper' => '服务器IP不得为空!'
                ),
            );
		}else{
			$ServerFind = \WHMCS\Database\Capsule::table('tblhosting')->where('userid', $userID)->where('dedicatedip',$_REQUEST['serverip'])->first();
		    if(empty($ServerFind)){
				return array(
            	    'pagetitle' => '页面错误',
            	    'breadcrumb' => array(
                    	'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
            	    ),
            	    'templatefile' => 'error',
            	    'requirelogin' => true, 
            	    'vars' => array(
					    'jumpurl' => 'index.php?m=svmnatdomain',
               	        'usefulErrorHelper' => '服务器IP错误,可能此服务器不存在或不属于您'
            	    ),
				);
			}
		}
		$vhostlist = \WHMCS\Database\Capsule::table('mod_svmnatdomain')->where('natip', $_REQUEST['serverip'])->get();
		$packageinfo = \WHMCS\Database\Capsule::table('tblproducts')->where('id', $ServerFind->packageid)->first();
		
		$product = array();
		foreach ($vhostlist as $key => $values) {
			$product[$key]['id'] = $values->id;
			$product[$key]['domain'] = $values->domain;
			$product[$key]['natip'] = $values->natip;
			$product[$key]['webtype'] = $values->webtype;
			$product[$key]['natsptype'] = $values->natsptype;
			$product[$key]['natsp'] = $values->natsp;
			$product[$key]['natport'] = $values->natport;
			$product[$key]['status'] = $values->status;
			$product[$key]['httpscrt'] = $values->httpscrt;
			$product[$key]['httpskey'] = $values->httpskey;
		}
        return array(
            'pagetitle' => '管理绑定的域名',
            'breadcrumb' => array(
                'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
            ),
            'templatefile' => 'manager',
            'requirelogin' => true, 
            'vars' => array(
                'vhostmaxnum' => $vars['vhostmaxnum'],
				'modulelink' => $modulelink,
				'productname' => $packageinfo->name,
				'serverip' => $_REQUEST['serverip'],
                'product' => $product
            ),
        );
    }
	
    public function add($vars)
    {
		$userID = trim($_SESSION['uid']);
		$modulelink = $vars['modulelink'];
		if(empty($_REQUEST['serverip'])){
	    	return array(
                'pagetitle' => '页面错误',
                'breadcrumb' => array(
                    'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
                ),
                'templatefile' => 'error',
                'requirelogin' => true, 
                'vars' => array(
				    'jumpurl' => 'index.php?m=svmnatdomain',
                    'usefulErrorHelper' => '服务器IP不得为空!'
                ),
            );
		}else{
			$ServerFind = \WHMCS\Database\Capsule::table('tblhosting')->where('userid', $userID)->where('dedicatedip',$_REQUEST['serverip'])->first();
		    if(empty($ServerFind)){
				return array(
            	    'pagetitle' => '页面错误',
            	    'breadcrumb' => array(
                    	'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
            	    ),
            	    'templatefile' => 'error',
            	    'requirelogin' => true, 
            	    'vars' => array(
					    'jumpurl' => 'index.php?m=svmnatdomain',
               	        'usefulErrorHelper' => '服务器IP错误,可能此服务器不存在或不属于您'
            	    ),
				);
			}
		}
		if($_REQUEST['add'] != 'yes'){
        	return array(
         	'pagetitle' => '添加域名',
           	 'breadcrumb' => array(
           	     'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
           	 ),
           	 'templatefile' => 'add',
           	 'requirelogin' => true, 
           	 'vars' => array(
            	    'serverinfo' => $ServerFind
             ),
            );
		}else{
			if(empty($_REQUEST['domain']) || empty($_REQUEST['webtype']) || empty($_REQUEST['natsptype']) || empty($_REQUEST['natsp']) || empty($_REQUEST['natport'])){
				return array(
            	    'pagetitle' => '页面错误',
            	    'breadcrumb' => array(
             	       'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
            	    ),
             	   'templatefile' => 'error',
             	   'requirelogin' => true, 
             	   'vars' => array(
				       'jumpurl' => 'index.php?m=svmnatdomain&action=add&serverip='.$_REQUEST['serverip'],
             	       'usefulErrorHelper' => '请完整填写!'
             	   ),
            	);
			}
			if($_REQUEST['webtype'] != 'http' && $_REQUEST['webtype'] != 'https'){
	    		return array(
           	     'pagetitle' => '页面错误',
           	     'breadcrumb' => array(
            	        'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
            	    ),
            	    'templatefile' => 'error',
             	   'requirelogin' => true, 
            	    'vars' => array(
					'jumpurl' => 'index.php?m=svmnatdomain&action=add&serverip='.$_REQUEST['serverip'],
                    'usefulErrorHelper' => '外网协议不正确!'
             	   ),
           	 	);
			}
			if($_REQUEST['natsptype'] != 'http' && $_REQUEST['natsptype'] != 'https'){
	    		return array(
            	    'pagetitle' => '页面错误',
            	    'breadcrumb' => array(
            	        'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
            	    ),
            	    'templatefile' => 'error',
             	   'requirelogin' => true, 
             	   'vars' => array(
				      'jumpurl' => 'index.php?m=svmnatdomain&action=add&serverip='.$_REQUEST['serverip'],
              	      'usefulErrorHelper' => '内网协议不正确!'
              	  ),
           	 );
			}
			if($_REQUEST['natport'] == '5656' || $_REQUEST['natport'] == '6767' || $_REQUEST['natport'] <= 79 || $_REQUEST['natport'] >= 25535 || $_REQUEST['natsp'] >= 25535 || !is_numeric($_REQUEST['natport']) || !is_numeric($_REQUEST['natsp'])){
	    		return array(
          	      'pagetitle' => '页面错误',
          	      'breadcrumb' => array(
          	          'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
          	      ),
           	     'templatefile' => 'error',
           	     'requirelogin' => true, 
           	     'vars' => array(
				     'jumpurl' => 'index.php?m=svmnatdomain&action=add&serverip='.$_REQUEST['serverip'],
           	         'usefulErrorHelper' => '抱歉,该端口暂不允许使用!'
            	    ),
           	    );
			}
			$DomainNum = \WHMCS\Database\Capsule::table('mod_svmnatdomain')->where('natip',$_REQUEST['serverip'])->count();
			if($DomainNum >= $vars['vhostmaxnum']){
				return array(
            	    'pagetitle' => '页面错误',
            	    'breadcrumb' => array(
             	       'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
            	    ),
             	   'templatefile' => 'error',
             	   'requirelogin' => true, 
             	   'vars' => array(
				       'jumpurl' => 'index.php?m=svmnatdomain&action=manager&serverip='.$_REQUEST['serverip'],
             	       'usefulErrorHelper' => '域名绑定数超限,请联系管理员!'
             	   ),
            	);
			}
			$searchz = '/\b([a-z0-9]+(-[a-z0-9]+)*\.)+[a-z]{2,}\b/';
			if(!preg_match($searchz,$_REQUEST['domain'])){
				return array(
            	    'pagetitle' => '页面错误',
            	    'breadcrumb' => array(
             	       'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
            	    ),
             	   'templatefile' => 'error',
             	   'requirelogin' => true, 
             	   'vars' => array(
				       'jumpurl' => 'index.php?m=svmnatdomain&action=add&serverip='.$_REQUEST['serverip'],
             	       'usefulErrorHelper' => '域名不正确!'
             	   ),
            	);
			}
			$InfoSFind = \WHMCS\Database\Capsule::table('mod_svmnatdomain')->where('domain', $_REQUEST['domain'])->where('natport',$_REQUEST['natport'])->first();
			if(!empty($InfoSFind)){
	    		return array(
           	   	'pagetitle' => '页面错误',
           	    'breadcrumb' => array(
              	   'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
              	 ),
              	'templatefile' => 'error',
              	'requirelogin' => true, 
              	'vars' => array(
				    'jumpurl' => 'index.php?m=svmnatdomain&action=add&serverip='.$_REQUEST['serverip'],
              	    'usefulErrorHelper' => '添加失败!记录已存在!'
              	),
            	);
			}
			if($_REQUEST['webtype'] == 'https'){
				if(empty($_REQUEST['httpskey']) || empty($_REQUEST['httpscrt']) || $_REQUEST['httpskey'] == $_REQUEST['httpscrt']){
	    			return array(
           		   	'pagetitle' => '页面错误',
           		    'breadcrumb' => array(
             	 	   'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
             	 	 ),
              		'templatefile' => 'error',
              		'requirelogin' => true, 
              		'vars' => array(
					    'jumpurl' => 'index.php?m=svmnatdomain&action=add&serverip='.$_REQUEST['serverip'],
              		    'usefulErrorHelper' => '证书错误！'
              		),
            		);
				}else{
					if(!openssl_x509_check_private_key($_REQUEST['httpscrt'],$_REQUEST['httpskey'])){
	    				return array(
           		 	  	'pagetitle' => '页面错误',
           		 	   'breadcrumb' => array(
             	 		   'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
             	 		 ),
              			'templatefile' => 'error',
              			'requirelogin' => true, 
              			'vars' => array(
						    'jumpurl' => 'index.php?m=svmnatdomain&action=add&serverip='.$_REQUEST['serverip'],
              			    'usefulErrorHelper' => '证书与密钥不匹配!'
              			),
            			);
					}
				}
			}
			$InfoAdd = \WHMCS\Database\Capsule::table('mod_svmnatdomain')->insert(array('domain' => $_REQUEST['domain'],'natip' => $_REQUEST['serverip'],'webtype' => $_REQUEST['webtype'],'natsptype' => $_REQUEST['natsptype'],'natsp' => $_REQUEST['natsp'],'status' => 'ok','httpscrt' => $_REQUEST['httpscrt'],'httpskey' => $_REQUEST['httpskey'],'natport' => $_REQUEST['natport']));
			if(!$InfoAdd){
	    		return array(
           	   	'pagetitle' => '页面错误',
           	    'breadcrumb' => array(
              	   'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
              	 ),
              	'templatefile' => 'error',
              	'requirelogin' => true, 
              	'vars' => array(
				    'jumpurl' => 'index.php?m=svmnatdomain&action=add&serverip='.$_REQUEST['serverip'],
              	    'usefulErrorHelper' => '添加失败!'
              	),
            	);
		    }else{
	    		return array(
           	    'pagetitle' => '添加成功!',
           	    'breadcrumb' => array(
              	     'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
              	),
              	'templatefile' => 'success',
              	'requirelogin' => true, 
              	'vars' => array(
				    'jumpurl' => 'index.php?m=svmnatdomain&action=manager&serverip='.$_REQUEST['serverip'],
              	    'successinfo' => '添加成功!系统将会在稍后自动同步到Solusvm节点'
              	),
            	);
			}
		}
    }
	
    public function del($vars)
    {
		$userID = trim($_SESSION['uid']);
		$modulelink = $vars['modulelink'];
		if(empty($_REQUEST['id']) || empty($_REQUEST['serverip'])){
	    	return array(
                'pagetitle' => '页面错误',
                'breadcrumb' => array(
                    'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
                ),
                'templatefile' => 'error',
                'requirelogin' => true, 
                'vars' => array(
				    'jumpurl' => 'index.php?m=svmnatdomain',
                    'usefulErrorHelper' => '服务器IP及需要删除的ID不得为空!'
                ),
            );
		}else{
			$ServerFind = \WHMCS\Database\Capsule::table('tblhosting')->where('userid', $userID)->where('dedicatedip',$_REQUEST['serverip'])->first();
		    if(empty($ServerFind)){
				return array(
            	    'pagetitle' => '页面错误',
            	    'breadcrumb' => array(
                    	'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
            	    ),
            	    'templatefile' => 'error',
            	    'requirelogin' => true, 
            	    'vars' => array(
					    'jumpurl' => 'index.php?m=svmnatdomain',
               	        'usefulErrorHelper' => '服务器IP错误,可能此服务器不存在或不属于您'
            	    ),
				);
			}
		}
		$InfoFind = \WHMCS\Database\Capsule::table('mod_svmnatdomain')->where('id',$_REQUEST['id'])->where('natip',$_REQUEST['serverip'])->first();
		if(empty($InfoFind)){
	    	return array(
                'pagetitle' => '页面错误',
                'breadcrumb' => array(
                    'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
                ),
                'templatefile' => 'error',
                'requirelogin' => true, 
                'vars' => array(
				    'jumpurl' => 'index.php?m=svmnatdomain&action=manager&serverip='.$_REQUEST['serverip'],
                    'usefulErrorHelper' => '没有找到匹配的记录!'
                ),
            );
		}else{
			$InfoRm = \WHMCS\Database\Capsule::table('mod_svmnatdomain')->where('id',$_REQUEST['id'])->where('natip',$_REQUEST['serverip'])->update(array('status' => 'del'));
			if(!$InfoRm){
	    		return array(
           	     'pagetitle' => '页面错误',
           	     'breadcrumb' => array(
              	      'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
              	  ),
              	  'templatefile' => 'error',
              	  'requirelogin' => true, 
              	  'vars' => array(
				      'jumpurl' => 'index.php?m=svmnatdomain&action=manager&serverip='.$_REQUEST['serverip'],
              	      'usefulErrorHelper' => '记录删除失败!'
              	  ),
            	);
		    }else{
	    		return array(
           	     'pagetitle' => '删除成功!',
           	     'breadcrumb' => array(
              	      'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
              	  ),
              	  'templatefile' => 'success',
              	  'requirelogin' => true, 
              	  'vars' => array(
				      'jumpurl' => 'index.php?m=svmnatdomain&action=manager&serverip='.$_REQUEST['serverip'],
              	      'successinfo' => '删除成功!系统将会在稍后自动同步到Solusvm节点'
              	  ),
            	);
			}
		}
    }
	
    public function edit($vars)
    {
		if(empty($_REQUEST['id']) || empty($_REQUEST['serverip'])){
	    	return array(
                'pagetitle' => '页面错误',
                'breadcrumb' => array(
                    'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
                ),
                'templatefile' => 'error',
                'requirelogin' => true, 
                'vars' => array(
				    'jumpurl' => 'index.php?m=svmnatdomain',
                    'usefulErrorHelper' => '服务器IP及需要更新的ID不得为空!'
                ),
            );
		}
		$userID = trim($_SESSION['uid']);
		$modulelink = $vars['modulelink'];
		if(empty($_REQUEST['id']) || empty($_REQUEST['serverip'])){
	    	return array(
                'pagetitle' => '页面错误',
                'breadcrumb' => array(
                    'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
                ),
                'templatefile' => 'error',
                'requirelogin' => true, 
                'vars' => array(
				    'jumpurl' => 'index.php?m=svmnatdomain',
                    'usefulErrorHelper' => '服务器IP及需要更新的ID不得为空!'
                ),
            );
		}else{
			$ServerFind = \WHMCS\Database\Capsule::table('tblhosting')->where('userid', $userID)->where('dedicatedip',$_REQUEST['serverip'])->first();
		    if(empty($ServerFind)){
				return array(
            	    'pagetitle' => '页面错误',
            	    'breadcrumb' => array(
                    	'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
            	    ),
            	    'templatefile' => 'error',
            	    'requirelogin' => true, 
            	    'vars' => array(
					    'jumpurl' => 'index.php?m=svmnatdomain',
               	        'usefulErrorHelper' => '服务器IP错误,可能此服务器不存在或不属于您'
            	    ),
				);
			}
		}
		$InfoFind = \WHMCS\Database\Capsule::table('mod_svmnatdomain')->where('id',$_REQUEST['id'])->where('natip',$_REQUEST['serverip'])->first();
		if(empty($InfoFind)){
	    	return array(
                'pagetitle' => '页面错误',
                'breadcrumb' => array(
                    'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
                ),
                'templatefile' => 'error',
                'requirelogin' => true, 
                'vars' => array(
				    'jumpurl' => 'index.php?m=svmnatdomain&action=manager&serverip='.$_REQUEST['serverip'],
                    'usefulErrorHelper' => '没有找到匹配的记录!'
                ),
            );
		}else{
			if($_REQUEST['update'] != 'yes'){
        		return array(
           		 'pagetitle' => '修改绑定域名',
           		 'breadcrumb' => array(
           		     'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
           		 ),
           		 'templatefile' => 'edit',
           		 'requirelogin' => true, 
           		 'vars' => array(
            		    'vhostinfo' => $InfoFind
            	 ),
                );
			}else{
				if(empty($_REQUEST['webtype']) || empty($_REQUEST['natsptype']) || empty($_REQUEST['natsp'])){
					return array(
            		    'pagetitle' => '页面错误',
            		    'breadcrumb' => array(
             		       'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
            		    ),
             		   'templatefile' => 'error',
             		   'requirelogin' => true, 
             		   'vars' => array(
					       'jumpurl' => 'index.php?m=svmnatdomain&action=edit&serverip='.$_REQUEST['serverip'].'&id='.$_REQUEST['id'],
             		       'usefulErrorHelper' => '请完整填写!'
             		   ),
            		);
				}
				if($_REQUEST['webtype'] != 'http' && $_REQUEST['webtype'] != 'https'){
	    			return array(
         		       'pagetitle' => '页面错误',
          		      'breadcrumb' => array(
           		         'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
           		     ),
           		     'templatefile' => 'error',
            		    'requirelogin' => true, 
            		    'vars' => array(
						    'jumpurl' => 'index.php?m=svmnatdomain&action=edit&serverip='.$_REQUEST['serverip'].'&id='.$_REQUEST['id'],
            		        'usefulErrorHelper' => '外网协议不正确!'
            		    ),
           		 );
				}
				if($_REQUEST['natsptype'] != 'http' && $_REQUEST['natsptype'] != 'https'){
	    			return array(
         		       'pagetitle' => '页面错误',
           		     'breadcrumb' => array(
           		         'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
           		     ),
             		   'templatefile' => 'error',
             		   'requirelogin' => true, 
             		   'vars' => array(
					       'jumpurl' => 'index.php?m=svmnatdomain&action=edit&serverip='.$_REQUEST['serverip'].'&id='.$_REQUEST['id'],
             		       'usefulErrorHelper' => '内网协议不正确!'
             		   ),
           		 );
				}
				if($_REQUEST['natsp'] >= 25535 || !is_numeric($_REQUEST['natsp'])){
	    			return array(
        		        'pagetitle' => '页面错误',
          		         'breadcrumb' => array(
          		          'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
          		         ),
               		 'templatefile' => 'error',
               		 'requirelogin' => true, 
               		'vars' => array(
					      'jumpurl' => 'index.php?m=svmnatdomain&action=edit&serverip='.$_REQUEST['serverip'].'&id='.$_REQUEST['id'],
              		      'usefulErrorHelper' => '抱歉,该端口暂不允许使用!'
               		 ),
            		);
				}
				if($_REQUEST['webtype'] == 'https'){
					if(empty($_REQUEST['httpskey']) || empty($_REQUEST['httpscrt']) || $_REQUEST['httpskey'] == $_REQUEST['httpscrt']){
	    				return array(
           		  	 	'pagetitle' => '页面错误',
           		  	  'breadcrumb' => array(
             	 		   'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
             	 		 ),
              			'templatefile' => 'error',
              			'requirelogin' => true, 
              			'vars' => array(
						    'jumpurl' => 'index.php?m=svmnatdomain&action=edit&serverip='.$_REQUEST['serverip'].'&id='.$_REQUEST['id'],
              			    'usefulErrorHelper' => '证书错误！'
              			),
            			);
					}else{
						if(!openssl_x509_check_private_key($_REQUEST['httpscrt'],$_REQUEST['httpskey'])){
	    					return array(
           		 		  	'pagetitle' => '页面错误',
           		 		   'breadcrumb' => array(
             	 			   'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
             	 			 ),
              				'templatefile' => 'error',
              				'requirelogin' => true, 
              				'vars' => array(
							    'jumpurl' => 'index.php?m=svmnatdomain&action=edit&serverip='.$_REQUEST['serverip'].'&id='.$_REQUEST['id'],
              				    'usefulErrorHelper' => '证书与密钥不匹配!'
              				),
            				);
						}
					}
				}
				$InfoUpdate = \WHMCS\Database\Capsule::table('mod_svmnatdomain')->where('id',$_REQUEST['id'])->where('natip',$_REQUEST['serverip'])->update(array('webtype' => $_REQUEST['webtype'],'natsptype' => $_REQUEST['natsptype'],'natsp' => $_REQUEST['natsp'],'status' => 'changed','httpscrt' => $_REQUEST['httpscrt'],'httpskey' => $_REQUEST['httpskey']));
				if(!$InfoUpdate){
	    			return array(
           	   	    'pagetitle' => '页面错误',
           	     	'breadcrumb' => array(
              	   	   'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
              	 	 ),
              	  	'templatefile' => 'error',
              	  	'requirelogin' => true, 
              	  	'vars' => array(
					    'jumpurl' => 'index.php?m=svmnatdomain&action=edit&serverip='.$_REQUEST['serverip'].'&id='.$_REQUEST['id'],
              	  	    'usefulErrorHelper' => '更新失败!可能是新信息与原始信息相同.'
              	 	),
            		);
		    	}else{
	    			return array(
           	     	'pagetitle' => '更新成功!',
           	     	'breadcrumb' => array(
              	 	     'index.php?m=svmnatdomain' => 'Solusvm Nat Domain',
              	  	),
              	  	'templatefile' => 'success',
              	  	'requirelogin' => true, 
              	  	'vars' => array(
					    'jumpurl' => 'index.php?m=svmnatdomain&action=manager&serverip='.$_REQUEST['serverip'],
              	  	    'successinfo' => '更新成功!系统将会在稍后自动同步到Solusvm节点'
              	  	),
            		);
				}
			}
		}
    }
}
