<?php
if (!defined("WHMCS")) {
    die("This file cannot be accessed directly");
}
use WHMCS\Module\Addon\svmnatdomain\Admin\AdminDispatcher;
use WHMCS\Module\Addon\svmnatdomain\Client\ClientDispatcher;
function svmnatdomain_config()
{
    return array(
        'name' => 'Solusvm共享IP建站', 
        'description' => '这个插件使用户可以管理他们的VPS用于共享建站', 
        'author' => 'Flyqie',
        'version' => '1.1',
        'fields' => array(
            'authkey' => array(
                'FriendlyName' => '验证密钥',
                'Type' => 'password',
                'Size' => '25',
                'Default' => '',
                'Description' => '验证密钥',
            ),
            'vhostmaxnum' => array(
                'FriendlyName' => '站点数',
                'Type' => 'text',
                'Size' => '25',
                'Default' => '',
                'Description' => '请填写您需要的站点数',
            ),
        )
    );
}
function svmnatdomain_activate()
{
    $query = "CREATE TABLE IF NOT EXISTS `mod_svmnatdomain` ( `id` int(255) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键', `domain` varchar(500) NOT NULL COMMENT 'Vhost域名', `natip` varchar(500) NOT NULL COMMENT '服务器内网IP', `webtype` varchar(500) NOT NULL COMMENT '母机vhost类别', `natsptype` varchar(500) NOT NULL COMMENT '内网协议', `natsp` varchar(500) NOT NULL COMMENT '内网端口', `natport` varchar(500) NOT NULL COMMENT '外网端口', `status` varchar(500) NOT NULL COMMENT 'Vhost状态', `httpscrt` longtext DEFAULT NULL COMMENT 'SslCrt', `httpskey` longtext DEFAULT NULL COMMENT 'SslKey', PRIMARY KEY (`id`) ) ENGINE = MyISAM CHARSET = utf8 AUTO_INCREMENT = 0 COMMENT 'Svmnathost插件表';";
    full_query($query);

    return array(
        'status' => 'success', 
        'description' => '插件已经成功激活,请设置插件',
    );
}
function svmnatdomain_deactivate()
{
    return array(
        'status' => 'success', 
        'description' => '插件禁用成功,数据表未删除,请手动删除svmnathost表',
    );
}
function svmnatdomain_upgrade($vars)
{
    $currentlyInstalledVersion = $vars['version'];
}
function svmnatdomain_output($vars)
{
    $modulelink = $vars['modulelink']; 
    $action = isset($_REQUEST['action']) ? $_REQUEST['action'] : '';
	$dispatcher = new AdminDispatcher();
    $response = $dispatcher->dispatch($action, $vars);
    echo $response;
}
function svmnatdomain_clientarea($vars)
{
	$action = isset($_REQUEST['action']) ? $_REQUEST['action'] : '';
	$mode = isset($_REQUEST['mode']) ? $_REQUEST['mode'] : '';
	$Authkey = $vars['authkey'];
    $AuthKeyP = isset($_REQUEST['authkey']) ? $_REQUEST['authkey'] : '';
    if($mode == 'api'){
		if($Authkey != $AuthKeyP){
			exit('{"msg":"密钥错误","code":403}');
		}
		if($action == 'getlists'){
			try {
				$datalists = \WHMCS\Database\Capsule::table('mod_svmnatdomain')->get();
				$datalistscode = 200;
			}catch (Exception $e) {
				$datalists = $e->getMessage();
				$datalistscode = 446;
			}
			$ListRet = null;
			$ListRet['data'] = $datalists;
			$ListRet['code'] = $datalistscode;
			exit(json_encode($ListRet));
		}elseif($action == 'upvh'){
			try {
				$udchange = \WHMCS\Database\Capsule::table('mod_svmnatdomain')->where('domain',$_REQUEST['vhostdomain'])->where('natport',$_REQUEST['vhostport'])->update(array('status' => 'ok'));
			}catch (Exception $e) {
				$repoerror = $e->getMessage();
			}
			if(!$udchange){
				exit($repoerror);
			}else{
				exit('200');
			}
		}elseif($action == 'delvh'){
			try {
				$udel = \WHMCS\Database\Capsule::table('mod_svmnatdomain')->where('domain',$_REQUEST['vhostdomain'])->where('natport',$_REQUEST['vhostport'])->delete();
			}catch (Exception $e) {
				$repoerror = $e->getMessage();
			}
			if(!$udel){
				exit($repoerror);
			}else{
				exit('200');
			}
		}else{
			exit('{"msg":"模块不存在","code":404}');
		}
	}else{
		$dispatcher = new ClientDispatcher();
        return $dispatcher->dispatch($action, $vars);
    }
}